Bug 546157 - SELinux is preventing /usr/bin/python "read" access on /var/run/abrt.pid.
Summary: SELinux is preventing /usr/bin/python "read" access on /var/run/abrt.pid.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:429da55222d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-10 08:57 UTC by vincent972
Modified: 2009-12-22 20:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:19 UTC
Type: ---


Attachments (Terms of Use)

Description vincent972 2009-12-10 08:57:12 UTC
Résumé:

SELinux is preventing /usr/bin/python "read" access on /var/run/abrt.pid.

Description détaillée:

SELinux denied access requested by sealert. It is not expected that this access
is required by sealert and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Autoriser l'accès:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Informations complémentaires:

Contexte source               system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.
                              c1023
Contexte cible                system_u:object_r:abrt_var_run_t:s0
Objets du contexte            /var/run/abrt.pid [ file ]
source                        SetroubleshootF
Chemin de la source           /usr/bin/python
Port                          <Inconnu>
Hôte                         (removed)
Paquetages RPM source         python-2.6.2-2.fc12
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.6.32-56.fc12
Selinux activé               True
Type de politique             targeted
Mode strict                   Enforcing
Nom du plugin                 catchall
Nom de l'hôte                (removed)
Plateforme                    Linux (removed) 2.6.31.6-162.fc12.i686.PAE #1 SMP Fri
                              Dec 4 00:43:59 EST 2009 i686 athlon
Compteur d'alertes            2
Première alerte              jeu. 10 déc. 2009 09:54:15 CET
Dernière alerte              jeu. 10 déc. 2009 09:54:46 CET
ID local                      9123241b-366a-4c01-88bb-21d9a8560813
Numéros des lignes           

Messages d'audit bruts        

node=(removed) type=AVC msg=audit(1260435286.115:24254): avc:  denied  { read } for  pid=6166 comm="sealert" name="abrt.pid" dev=dm-0 ino=5249192 scontext=system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:abrt_var_run_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1260435286.115:24254): arch=40000003 syscall=5 success=no exit=-13 a0=8c8a110 a1=8000 a2=1b6 a3=8c324a9 items=0 ppid=6165 pid=6166 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="sealert" exe="/usr/bin/python" subj=system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-56.fc12,catchall,SetroubleshootF,setroubleshoot_fixit_t,abrt_var_run_t,file,read
audit2allow suggests:

#============= setroubleshoot_fixit_t ==============
allow setroubleshoot_fixit_t abrt_var_run_t:file read;

Comment 1 Daniel Walsh 2009-12-10 15:43:45 UTC
Did you press a button to try to fix the labeling on /var/run/abrt.pid?

Comment 2 vincent972 2009-12-10 18:22:13 UTC
i don't think so

Comment 3 Daniel Walsh 2009-12-10 18:31:34 UTC
Did you try to fix any label using setroubleshoot?

Comment 4 vincent972 2009-12-11 06:19:55 UTC
huh, i can't remember but rather no i would say...

Comment 5 vincent972 2009-12-11 06:52:59 UTC
ok, my mistake
i can reproduce it:
it happens anytime i click on the restore context button in any selinux alert. The selinux popup window turns then grey like if it freezes, after 10 seconds i'm asked for the password, i type it, click enter. And then this new alert comes.

Comment 6 vincent972 2009-12-11 06:55:47 UTC
with a "impossible to grant access" popup message

Comment 7 Daniel Walsh 2009-12-11 20:57:50 UTC
Ok the restorecon button will be fixed in the next release.

Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 8 Fedora Update System 2009-12-16 13:53:55 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 9 Fedora Update System 2009-12-18 04:42:08 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.